BeagleWksStructManager Class Reference documentation

BeagleWksStructManager Class Reference

the main class to read the structure shared between different BeagleWorks files More...

`#include <BeagleWksStructManager.hxx>`

## Classes
struct | Frame
| Internal: a structure use to store a frame in a BeagleWorks files. More...

## Public Member Functions
| BeagleWksStructManager (MWAWParserStatePtr const &parserState)
| constructor
| ~BeagleWksStructManager ()
| destructor
bool | getFrame (int fId, Frame &frame) const
| returns a frame corresponding to an id
std::map< int, Frame > const & | getIdFrameMap () const
| returns the id to frame map
int | getFontId (int fFontId) const
| returns a font id corresponding to a file id (or -3)
void | getHeaderFooterEntries (MWAWEntry &header, MWAWEntry &footer) const
| returns the header, footer entries (find by readDocumentInfo)
bool | readFontNames (MWAWEntry const &entry)
| read the font names
bool | readFrame (MWAWEntry const &entry)
| read the frame
bool | readDocumentInfo ()
| read the document information ( pagespan + header/footer)
bool | readDocumentPreferences ()
| read the document preferences
bool | readPicture (int pId, librevenge::RVNGBinaryData &pict, bool readEDTP=true)
| read a picture (edtp or PICT resource )
bool | readwPos (MWAWEntry const &entry)
| read the windows positions ( wPos 1001 resource block )
bool | readFontStyle (MWAWEntry const &entry)
| read the font style ressource
bool | readCellInFormula (MWAWVec2i actPos, MWAWCellContent::FormulaInstruction &instr)
bool | readFormula (long endPos, MWAWVec2i const &pos, std::vector< MWAWCellContent::FormulaInstruction > &formula, std::string &error)

## Protected Member Functions
MWAWInputStreamPtr | getInput ()
| return the input input
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document
MWAWInputStreamPtr | rsrcInput ()
| return the input input
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< BeagleWksStructManagerInternal::State > | m_state
| the state

## Private Member Functions
| BeagleWksStructManager (BeagleWksStructManager const &orig)=delete
BeagleWksStructManager & | operator= (BeagleWksStructManager const &orig)=delete

## Detailed Description

the main class to read the structure shared between different BeagleWorks files

## Constructor & Destructor Documentation

## ◆ BeagleWksStructManager() [1/2]

BeagleWksStructManager::BeagleWksStructManager | ( | MWAWParserStatePtr const & | parserState | ) |
| explicit

constructor

Referenced by BeagleWksStructManager(), and operator=().

## ◆ ~BeagleWksStructManager()

BeagleWksStructManager::~BeagleWksStructManager | ( |  | ) |

destructor

## ◆ BeagleWksStructManager() [2/2]

BeagleWksStructManager::BeagleWksStructManager | ( | BeagleWksStructManager const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ ascii()

libmwaw::DebugFile & BeagleWksStructManager::ascii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document

Referenced by readDocumentInfo(), readDocumentPreferences(), readFontNames(), and readFrame().

## ◆ getFontId()

int BeagleWksStructManager::getFontId | ( | int | fFontId | ) | const

returns a font id corresponding to a file id (or -3)

## ◆ getFrame()

bool BeagleWksStructManager::getFrame | ( | int | fId,
|  | Frame & | frame ) const

returns a frame corresponding to an id

## ◆ getHeaderFooterEntries()

void BeagleWksStructManager::getHeaderFooterEntries | ( | MWAWEntry & | header,
|  | MWAWEntry & | footer ) const

returns the header, footer entries (find by readDocumentInfo)

## ◆ getIdFrameMap()

std::map< int, BeagleWksStructManager::Frame > const & BeagleWksStructManager::getIdFrameMap | ( |  | ) | const

returns the id to frame map

## ◆ getInput()

MWAWInputStreamPtr BeagleWksStructManager::getInput | ( |  | ) |
| protected

return the input input

Referenced by readCellInFormula(), readDocumentInfo(), readDocumentPreferences(), readFontNames(), readFormula(), and readFrame().

## ◆ operator=()

BeagleWksStructManager & BeagleWksStructManager::operator= | ( | BeagleWksStructManager const & | orig | ) |
| privatedelete

## ◆ readCellInFormula()

bool BeagleWksStructManager::readCellInFormula | ( | MWAWVec2i | actPos,
|  | MWAWCellContent::FormulaInstruction & | instr )

Referenced by readFormula().

## ◆ readDocumentInfo()

bool BeagleWksStructManager::readDocumentInfo | ( |  | ) |

read the document information ( pagespan + header/footer)

## ◆ readDocumentPreferences()

bool BeagleWksStructManager::readDocumentPreferences | ( |  | ) |

read the document preferences

## ◆ readFontNames()

bool BeagleWksStructManager::readFontNames | ( | MWAWEntry const & | entry | ) |

read the font names

## ◆ readFontStyle()

bool BeagleWksStructManager::readFontStyle | ( | MWAWEntry const & | entry | ) |

read the font style ressource

## ◆ readFormula()

bool BeagleWksStructManager::readFormula | ( | long | endPos,
|  | MWAWVec2i const & | pos,
|  | std::vector< MWAWCellContent::FormulaInstruction > & | formula,
|  | std::string & | error )

## ◆ readFrame()

bool BeagleWksStructManager::readFrame | ( | MWAWEntry const & | entry | ) |

read the frame

## ◆ readPicture()

bool BeagleWksStructManager::readPicture | ( | int | pId,
|  | librevenge::RVNGBinaryData & | pict,
|  | bool | readEDTP = true )

read a picture (edtp or PICT resource )

## ◆ readwPos()

bool BeagleWksStructManager::readwPos | ( | MWAWEntry const & | entry | ) |

read the windows positions ( wPos 1001 resource block )

## ◆ rsrcAscii()

libmwaw::DebugFile & BeagleWksStructManager::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by readFontStyle(), readPicture(), and readwPos().

## ◆ rsrcInput()

MWAWInputStreamPtr BeagleWksStructManager::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by readFontStyle(), readPicture(), and readwPos().

## Member Data Documentation

## ◆ m_parserState

MWAWParserStatePtr BeagleWksStructManager::m_parserState
| protected

the parser state

Referenced by ascii(), BeagleWksStructManager(), getInput(), readDocumentInfo(), readFontNames(), readFormula(), readPicture(), rsrcAscii(), and rsrcInput().

## ◆ m_state

std::shared_ptr<BeagleWksStructManagerInternal::State> BeagleWksStructManager::m_state
| protected

the state

Referenced by BeagleWksStructManager(), getFontId(), getFrame(), getHeaderFooterEntries(), getIdFrameMap(), readDocumentInfo(), readFontNames(), and readFrame().

The documentation for this class was generated from the following files:

- BeagleWksStructManager.hxx
- BeagleWksStructManager.cxx